Notus API
Bitcoin transactions

Broadcast Signed Bitcoin Transaction

Broadcasts a signed Bitcoin transaction that was originally produced from a transfer or cross-swap quote. The endpoint validates that the quote exists and that the signed transaction matches the previously generated quote, then publishes the transaction to the Bitcoin network. The associated transaction is recorded in the history of that wallet.

POST
/api/v1/crypto/bitcoin/broadcast

Authorization

x-api-key
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/crypto/bitcoin/broadcast" \  -H "Content-Type: application/json" \  -d '{    "quoteId": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1",    "signedTransactionHex": "0x0200000000010138..."  }'
{  "quoteId": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1",  "transactionHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1"}